package com.yzt.airconditionersystem.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 项目类
 * @author TzZach
 * @since 2022-04-15 11:58
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Project {


    /**
     * 自增id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 客户名称
     */
    @TableField(value = "client_name")
    private String clientName;
    /**
     * 所属运营商id
     */
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * 地区
     */
    private String district;
    /**
     * 具体地址
     */
    @TableField(value = "detailed_address")
    private String detailedAddress;

    @TableField(exist = false)
    private List<Integer> gatewayId;

    /**
     * 所属运营商信息
     */
    @TableField(exist = false)
    private Operator operator;


    /**
     * 获取运营商名称
     * @return
     */
    public String getOperatorName() {
        return operator.getCompanyName();
    }

    public void setOperatorName(String operatorName) {
        operator.setCompanyName(operatorName);
    }

    /**
     * 获取运营商地区
     * @return
     */
    public String getOperatorDistrict() {
        return operator.getDistrict();
    }

    public void setOperatorDistrict(String district) {
        operator.setDistrict(district);
    }

    /**
     * 获取运营商具体地址
     * @return
     */
    public String getOperatorDetailedAddress() {
        return operator.getDetailedAddress();
    }

    public void setOperatorDetailedAddress(String detailedAddress) {
        operator.setDetailedAddress(detailedAddress);
    }

    /**
     * 获取运营商联系人
     * @return
     */
    public String getOperatorContact() {
        return operator.getContact();
    }

    public void setOperatorContact(String contact) {
        operator.setContact(contact);
    }

    /**
     * 获取运营商联系人联系方式
     * @return
     */
    public String getOperatorPhone() {
        return operator.getPhone();
    }

    public void setOperatorPhone(String phone) {
        operator.setPhone(phone);
    }

}
